My script to update my kubernetes cluster at home.

I typed a bit on the `notes.md` file, but that was mostly for myself.

## How to use

Modify the `inventory.yaml` file with:
- Your desired hostnames
- Your user/password
- The desired kubeadm version. 

Finally execute teh `run.sh` file.

## Requirements:

- The repository being used is for the Kubernetes version `1.28`, playbook will require to be updated in case the desired version is not `1.28.X`.
- **Remote** user with access to sudo
- Only intended for Debian based devices (arm/x64)
- DNS name from the hosts in the inventory must match the name of the node when using `kubectl get nodes` command.
- Host/Client that will execute this Ansible script requires to have `kubectl` configured to target the desired kubernetes cluster.
- Host/Client requires the `kubernetes` Python library installed [0a] and the kubernetes Ansible plugin [0b].

```
[0a] Python Kubernetes package
On Arch linux I had to use `pacman -S python-kubernetes`, you might get away with murder using the `pip3 install kubernetes` command. IDK
https://stackoverflow.com/questions/60866755/ansible-k8s-module-failed-to-import-the-required-python-library-openshift-on
```

```
[0b] Ansible Kubernetes plugin
https://docs.ansible.com/ansible/latest/collections/kubernetes/core/docsite/kubernetes_scenarios/k8s_intro.html
`ansible-galaxy collection install kubernetes.core`
```